Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229070 - Wrong 'Exec' and 'MimeType' in kchmviewer.desktop
Summary: Wrong 'Exec' and 'MimeType' in kchmviewer.desktop
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kchmviewer
Version: 6
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Patrice Dumas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-16 19:50 UTC by Andrew Zabolotny
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.7-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-17 09:54:01 UTC


Attachments (Terms of Use)

Description Andrew Zabolotny 2007-02-16 19:50:39 UTC
Description of problem:

The .desktop file provided with kchmviewer is slightly incorrect.

Version-Release number of selected component (if applicable):

2.6-2.fc6

How reproducible:

Always

Steps to Reproduce:
1. Install kchmviewer
2. Open a folder with .chm files
3. Double-click on a chm file
  
Actual results:

It will tell you it doesn't know how to open the file

Expected results:

The file should be opened with kchmviewer

Additional info:

Actually the .desktop file contains two bugs:

1. "Exec=kchmviewer %U" must be "Exec=kchmviewer %f" as kchmviewer doesn't
understand URLs on command line, so it doesn't know how to open
"file:///some/where/something.chm" (and neither can open several files at once,
so %f not %F).

2. "MimeType=application/x-chm" should be "MimeType=application/chm". This is
the MIME type that Gnome assigns to chm files.

Comment 1 Patrice Dumas 2007-02-17 09:54:01 UTC
In fact application/chm is required for kde mimetypes handling, and
application/x-chm for the freedesktop mimetype handling. So I added both
and corrected the %U. Thanks for the report, should be fixed in 
2.7-2 (in FC-6 and devel).


Note You need to log in before you can comment on or make changes to this bug.